Bug 1309250 - python-simpy: Provide a Python 3 subpackage
python-simpy: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-simpy (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sarantis Paskalis
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2016-02-17 05:32 EST by Petr Viktorin
Modified: 2016-08-29 07:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-simpy-3.0.9-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 09:51:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for specfile: add Python 3, version and source update (5.16 KB, patch)
2016-06-16 04:49 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description Petr Viktorin 2016-02-17 05:32:36 EST
Upstream (version 3.0.8 [0), this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!

[0] https://pypi.python.org/pypi/simpy
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:23:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-22 07:37:08 EDT
Hello Sarantis,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Dominika Krejčí 2016-06-16 04:49 EDT
Created attachment 1168638 [details]
patch for specfile: add Python 3, version and source update

Hi Sarantis,
here is the change needed to add Python 3 support and update to the latest version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14514825

Also tested in Mock (fedora-22-x86_64, fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).
Comment 4 Sarantis Paskalis 2016-06-16 05:23:46 EDT
Hi Dominika,

Many thanks for the effort.  I will try to review in the following days and update the relevant branches.
Comment 5 Fedora Update System 2016-07-05 06:03:39 EDT
python-simpy-3.0.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ca5a9aa22
Comment 6 Fedora Update System 2016-07-09 11:58:43 EDT
python-simpy-3.0.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ca5a9aa22
Comment 7 Fedora Update System 2016-08-24 09:51:21 EDT
python-simpy-3.0.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.